Page MenuHomePhabricator

incomplete GENDER support in Flow moderation message
Closed, ResolvedPublic

Description

The GENDER support in the moderation messages in Flow is quite broken.

I fixed some of the client-side support in https://gerrit.wikimedia.org/r/#/c/98368/ , however there's another important thing to fix: The flow-moderation-confirmation-* messages are used client-side and they need not just the target user name, but the gender. That's because JavaScript can't determine the gender of a user other than the current one. The target user's gender must be passed as 'male' or 'female' from the server side somehow. Maybe another data attribute.

Looking at the current translations, there's at least one language in which gender support is needed ('mk').


Version: unspecified
Severity: normal

Details

Reference
bz57814

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:35 AM
bzimport set Reference to bz57814.
Amire80 created this task.Dec 1 2013, 4:42 PM

bingle-admin wrote:

The WMF core features team tracks this bug on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/548, but people from the community are welcome to contribute here and in Gerrit.

On another look, target user gender is not really needed.

Other issues are fixed in https://gerrit.wikimedia.org/r/#/c/98368/ .

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 15 2017, 8:09 PM